Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module
Class ModuleMouse

    java.lang.Object
      dioscuri.module.AbstractModule
          dioscuri.module.ModuleMouse

All Implemented Interfaces:
  Module

Direct Known Subclasses:
  Mouse

    public abstract class ModuleMouse

extends AbstractModule

Abstract class representing a generic mouse module.

Nested Class Summary

Nested classes/interfaces inherited from interface dioscuri.interfaces.Module
`Module.Type`

Field Summary

Fields inherited from class dioscuri.module.AbstractModule
`type`

Constructor Summary
`ModuleMouse()`

Method Summary
`abstract void` | `controlMouse(byte value)`
`abstract byte` | `getDataFromBuffer()` Returns the head of the buffer FIFO, data is automatically removed from buffer
`abstract boolean` | `isBufferEmpty()`
`abstract void` | `mouseMotion(java.awt.event.MouseEvent mouseEvent)`
`abstract void` | `setMouseEnabled(boolean status)`
`abstract void` | `setMouseType(java.lang.String type)`
`abstract void` | `storeBufferData(boolean forceEnqueue)`

Methods inherited from class dioscuri.module.AbstractModule
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleMouse

    public ModuleMouse()

Method Detail

### setMouseEnabled

    public abstract void setMouseEnabled(boolean status)

  Parameters:
    `status` -

### setMouseType

    public abstract void setMouseType(java.lang.String type)

  Parameters:
    `type` -

### isBufferEmpty

    public abstract boolean isBufferEmpty()

  Returns:

### getDataFromBuffer

    public abstract byte getDataFromBuffer()

  Returns the head of the buffer FIFO, data is automatically removed from buffer

  Returns:
    the head of the buffer FIFO, data is automatically removed from buffer

### storeBufferData

    public abstract void storeBufferData(boolean forceEnqueue)

  Parameters:
    `forceEnqueue` -

### controlMouse

    public abstract void controlMouse(byte value)

  Parameters:
    `value` -

### mouseMotion

    public abstract void mouseMotion(java.awt.event.MouseEvent mouseEvent)

  Parameters:
    `mouseEvent` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD